Skip to content

Partner ​

Access partner information in the Amili system. Partners represent integrated business entities that can manage multiple creditors. Only available for Partner API.

Partner endpoints ​

See Creditor for managing creditors associated with a partner.

Example Request ​

Below is an example of retrieving a specific partner. Other operations follow similar request/response patterns with the same data structure.

URL: GET /partners/618a851643314ff68dcb8895

Headers:

x-api-key: {your_access_token}
Content-Type: application/json

Request Body: None (GET request)

Response Code: 200 OK

Response Body:

json
{
  "_id": "618a851643314ff68dcb8895",
  "name": "Visma.net",
  "integration_id": "Visma.net",
  "description": "Visma.net - Integrated partner",
  "organization_no": "5565675906",
  "_updated": "Thu, 22 May 2025 16:04:30 GMT",
  "_created": "Tue, 09 Nov 2021 14:26:30 GMT",
  "_etag": "f0fa9d6056864307bf6cb060830fb9dc",
  "case_settings": {
    "interest_rate": {
      "reference_rate": true
    }
  }
}

Parameters ​

Path Parameters ​

NameTypeRequiredDescription
partnerIdstringYesThe unique identifier of the partner

Response Properties ​

PropertyTypeRequiredDescription
_idstringYesUnique identifier for the partner
_createdstringYesCreation timestamp
_updatedstringYesLast update timestamp
_etagstringYesEntity tag for concurrency control
namestringYesPartner name
integration_idstringYesIntegration identifier
descriptionstringNoPartner description
organization_nostringYesOrganization/company registration number
case_settingsobjectNoCase handling configuration

Case Settings Properties ​

PropertyTypeRequiredDescription
interest_rateobjectNoInterest rate configuration

Interest Rate Properties ​

PropertyTypeRequiredDescription
reference_ratebooleanYesWhether to use reference rate

*) For complete list of values and details, please see Partner